Bug 126720 - package allows deactivation of selinux, this leads to misaligned patches
Summary: package allows deactivation of selinux, this leads to misaligned patches
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-25 09:49 UTC by Axel Thimm
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-09 21:32:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nfssloppy patch modified for building w/o selinux (1.52 KB, patch)
2004-06-25 10:09 UTC, Axel Thimm
no flags Details | Diff
specfile patch for choosing the right nfssloppy patch (selinux vs non-selinux) (917 bytes, patch)
2004-06-25 10:11 UTC, Axel Thimm
no flags Details | Diff

Description Axel Thimm 2004-06-25 09:49:03 UTC
Description of problem:

The package allows to build not against selinux. Doing so lets the
last patch fail.

Version-Release number of selected component (if applicable):

2.12-18

How reproducible:

Always

Steps to Reproduce:
1. define WITH_SELINUX 0
2. rebuild rpm
3.
  
Actual results:

Patch #1001 (util-linux-2.12-nfssloppy.patch):
+ patch -p1 -b --suffix .nfssloppy -s
2 out of 5 hunks FAILED -- saving rejects to file mount/nfsmount.c.rej

Expected results:

Patches should apply.

Additional info:

Comment 1 Axel Thimm 2004-06-25 10:09:14 UTC
Created attachment 101402 [details]
nfssloppy patch modified for building w/o selinux

This patch is Patch1001 modified to apply for WITH_SELINUX set to 0.

Comment 2 Axel Thimm 2004-06-25 10:11:31 UTC
Created attachment 101403 [details]
specfile patch for choosing the right nfssloppy patch (selinux vs non-selinux)

This patch modifies the specfile to chose the right nfssloppy patch depending
on whether on builds for selinux or not.

Comment 3 Moritz Barsnick 2004-07-05 08:43:38 UTC
May I add that this also needs to be done, AFAICT:

+%if %{WITH_SELINUX}
 BuildRequires: libselinux-devel
+%endif

Just to get this package straight,
Moritz

Comment 4 Elliot Lee 2004-07-09 21:32:50 UTC
(No longer applicable for CVS, where selinux is unconditional.)


Note You need to log in before you can comment on or make changes to this bug.